#pragma once
#include "TaskBase.h"


class HarassTask : public TaskBase {
public:
	//HarassTask(BaseModel* base, Overseer* ov);

	virtual bool canInitialize() = 0;
	virtual bool execute() = 0;
	virtual void monitor() = 0;
	virtual bool isExecuting() = 0;
	virtual bool isFinished() = 0;
	virtual bool isInitialized() = 0;
	virtual UnitType getBuildType() = 0;
	virtual void setTargetBase(BaseModel* b) = 0;
private:


protected:

};